Page MenuHomePhabricator

Summaries should include page id
Closed, ResolvedPublic

Description

Page id is useful as it is an identifier for pages that is not prone to mangling when normalizing de-normalizing according to error prone client code.

Returning this in summaries would make it easy to make requests to other APIs later

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 28 2017, 3:05 PM
Pchelolo claimed this task.Apr 28 2017, 3:06 PM
Pchelolo added a project: Services (doing).
Pchelolo added a subscriber: Pchelolo.

Easy! Will make a PR today

And here we are: https://github.com/wikimedia/restbase/pull/809

I didn't bump the content-type version neither I did enforce the rerendering. When it's actually required by some client we can do that.

Thanks!
Sounds ok, its just additive so no concerns here

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2017-05-02T17:44:40Z] <mobrovac@naos> Started deploy [restbase/deploy@6adb0f2]: Include displaytitle and page_id in the summary output and bump the content type version - T163729 T164079

Mentioned in SAL (#wikimedia-operations) [2017-05-02T17:50:44Z] <mobrovac@naos> Finished deploy [restbase/deploy@6adb0f2]: Include displaytitle and page_id in the summary output and bump the content type version - T163729 T164079 (duration: 06m 04s)

Pchelolo closed this task as Resolved.May 2 2017, 6:47 PM
Pchelolo edited projects, added Services (done); removed Services (doing).

Deployed! Resolving.